Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:


 

 

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
WeeGord Posted on 24/04/2018 09:50
Food bank use soaring due to Universal Credit...
 
 
Very difficult times for many of the poorest and most vulnerable in society as the Tories continue their ideological war.

Link: Disgusting
IP: Logged
bear66 Posted on 24/04/2018 09:54

Food bank use soaring due to Universal Credit...

 
R&C not a UC area except for new claimants and the foodbank I volunteer in has seen a rise in people with a lot with UC issues.
IP: Logged
Ironops Posted on 24/04/2018 10:06

Food bank use soaring due to Universal Credit...

 
5th largest economy in the world but over half a million people a year use food banks.

Something rotten in our economy
IP: Logged
Muttley Posted on 24/04/2018 10:18

Food bank use soaring due to Universal Credit...

 
Even Thatcher never pushed people into food queues.

It's a national disgrace that has somehow become normalised that we should put a few tins in a collection basket at Tescos as a matter of routine to put food on the table of our neighbours.

How very "Christian"...
IP: Logged
icarus1965 Posted on 24/04/2018 11:01

Food bank use soaring due to Universal Credit...

 
Food banks have risen in the last eight year, now why is that ?
IP: Logged
redwurzel Posted on 24/04/2018 11:41

Food bank use soaring due to Universal Credit...

 
I know a lot of people with disabilities have had their benefits stopped or reduced. At times they have no income coming in and avoid dying they have turned to food banks.

Many of the assessors working for profit making contractors feel they have to assess registered disabled people as requiring no help. Mental health issues seem to be completely ignored by the assessors.

On appeal (not with private contractors) approx. 75% decisions are overturned, but this takes approx. 6 months to occur and then another 2 months waiting for welfare payments to be paid, so the receiver is waiting 8 months for payment. These people are often the poorest in society and don't have thousands of pounds in savings.

I can see some parallels with the Windrush people. The Government thinks Conservative voters want to reduce immigration to a trickle leading to extremely harsh decisions. They also think these voters want to get a lot of disabled people off benefits, unless they are severely disabled, so the contractors are told implicitly to significantly cut back on claimants and this is reinforced by bonus payments awarded to the contractors (who are profit driven).

Another factor is cutbacks in civil servants in these departments which means everything is processed more slowly and damaging to staff morale.

In the past emergency welfare payments were sometimes made I am not sure if this still occurs?

We all want people contributing to society, but sometimes it not easy for people to, through disability, mental health issues, being left with several kids to look after on your own or living in areas of the country that have unemployment and under employment issues.
IP: Logged
Derek_Duvall Posted on 24/04/2018 11:42

Food bank use soaring due to Universal Credit...

 
Can we stop with this?! There is a royal baby. We should be happy and celebratory.
IP: Logged
WeeGord Posted on 24/04/2018 17:12

Food bank use soaring due to Universal Credit...

 
Gene and his mob remarkably silent on the matter! I wonder why that is... [|)]
IP: Logged
Adam18 Posted on 24/04/2018 17:30

Food bank use soaring due to Universal Credit...

 
Most Tory voters donít want to stop immigration or stop disabled people having benefits. They want to see controlled immigration and not open floodgates, and want to see dole scroungers ,idle XXXXXXs and those with no work ethic have their benefits stopped,. Disabled people need support ,idle gets donít.
IP: Logged
redwurzel Posted on 24/04/2018 17:31

Food bank use soaring due to Universal Credit...

 
I thought the link would be from Guardian how times have changed when Sky News are even saying there is a problem.
IP: Logged
CheshireBoro Posted on 24/04/2018 20:12

Food bank use soaring due to Universal Credit...

 
The reason nobody of a Tory persuasion has rocked up to defend this is simple.

It is utterly indefensible.
IP: Logged
icarus1965 Posted on 24/04/2018 20:27

Food bank use soaring due to Universal Credit...

 
Never saw a food bank in operation till the Tories come to power !
IP: Logged
speckyget Posted on 24/04/2018 20:31

Food bank use soaring due to Universal Credit...

 
I'm sure Tories would agree with their weirdo poster boy and consider food banks "rather uplifting".
IP: Logged
ThePrisoner Posted on 24/04/2018 20:45

Food bank use soaring due to Universal Credit...

 
Are there no prisons? Are there no workhouses?

Yes. No doubt coming soon.
IP: Logged
ceraunic Posted on 24/04/2018 21:09

Food bank use soaring due to Universal Credit...

 
ideological war.

Could you expand please
IP: Logged
TeessideCleveland Posted on 24/04/2018 21:17

Food bank use soaring due to Universal Credit...

 
Genuine question as I don't know the answer.

What criteria do people need to have to be eligible for food there?
IP: Logged
WeeGord Posted on 24/04/2018 21:34

Food bank use soaring due to Universal Credit...

 
Ideological war against the poor, the needy, the vulnerable. Surely that much was evident?
IP: Logged
ceraunic Posted on 24/04/2018 21:46

Food bank use soaring due to Universal Credit...

 
What do you think they want to do to the poor, the needy, the vulnerable.
IP: Logged
jam69 Posted on 24/04/2018 21:51

Food bank use soaring due to Universal Credit...

 
the Tories hate paying towards any form of welfare, most of their MPs have private health care, send their kids to public school etc. the sad thing is the delusional brain washed working and middle class Tory voter who thinks they will get to join the club that wouldn't have them as members.
IP: Logged
Facefuzz Posted on 24/04/2018 21:55

Food bank use soaring due to Universal Credit...

 
This is why some credit should be paid in supermarket vouchers/food tokens.
We need to support people and this will support them. They're guaranteed food then.
The landlord/housing provider should also get the rent money direct.
This way the basic needs of food and accommodation are met.
IP: Logged
TeessideCleveland Posted on 24/04/2018 22:05

Food bank use soaring due to Universal Credit...

 
I agree with facefuzz

My fear is the only thing they need to get food from there is to show they're on benefits. So if they spend the benefits on fags, booze, online bingo etc they can still get food from foodbanks
IP: Logged
ceraunic Posted on 24/04/2018 22:05

Food bank use soaring due to Universal Credit...

 
Are we spending more or less on welfare, than say 5 years ago? I don't know, just always seems the figures always increase, perhaps someone knows the figures
IP: Logged
trugggg Posted on 25/04/2018 08:54

Food bank use soaring due to Universal Credit...

 
"This is why some credit should be paid in supermarket vouchers/food tokens."
This has been tried- apart from the fact it is humiliating for the person shopping, ( we should be treating people with dignity and respect, not marking them out. I have been on the dole and it was bad enough trying to live off what I got without being embarrassed in front of other people who would then point me out in the street as a "doley").It was also shown that shops ripped the shopper off by not giving change and in some cases even increasing the price of goods.
It was also expensive for the shop to process the vouchers, a cost that they did not recover from the government.
IP: Logged
American_Mary Posted on 25/04/2018 09:14
Edited On: 25/04/2018 09:17
Food bank use soaring due to Universal Credit...

 
A whole overview of our eating habits in the U.K. is required, foodbanks whilst providing necessary emergency need donít eradicate the problem, we need education on cooking on a budget for example.

Instead of vouchers to use in store perhaps online shopping vouchers and delivery could be an option, a set amount in benefit is paid and limited to food and household products ?

The other issue is the role of charities they mean well but defer responsibility from the government, therefore the reality of poverty in this country is disguised and left untackled.

In London for example there are over 200 Charities dealing with homelessness alone, surely a single organisation National organisation with regional branches working alongside the National and local government would be a more efficient and effective solution to tackling these kinds of issues ?

Or take these major charities under the Governmentís wing and allow charitable contribution at source as a form of voluntary tax, each year you tick boxes and an amount to be diverted to causes that are of interest to the individual.
IP: Logged
Muttley Posted on 25/04/2018 11:16

Food bank use soaring due to Universal Credit...

 
I see the RWNJs are out in force on the Antisemitism thread so this might invite comment.

Just to pick up on the point raised "...they spend the benefits on fags, booze, online bingo etc they can still get food from foodbanks..."

Yes there may be the odd instance of this happening (I'm sure it will have been documented in the Daily Mail/Express for you) but it is an excuse used to abrogate any duty of care for people in trouble. My (limited) experience of people on the breadline is that this is unusual they will do without to put food on the table for their kids and sometimes the cruel system withdraws even the basic care that they get forcing them to go to foodbanks.

It is a disgrace that people are reduced to visiting foodbanks to feed their kids.
IP: Logged
Nero Posted on 25/04/2018 11:46

Food bank use soaring due to Universal Credit...

 
It is ideological war by the Tories. They are the Neoliberlisim party who would love to get shot of the state of they could.

The cuts they've forced on the poor and Local Authorities is disgusting. On top of that it's their making we're leaving the EU.

Let's hope you never need assistance from the State as the Tories have created a monster.
IP: Logged
redwurzel Posted on 25/04/2018 18:57

Food bank use soaring due to Universal Credit...

 
ceraunic

The welfare budget is a significant government spend area and is growing by a small amount each year. However the majority of the budget is spent on those aged 65 plus. The number of 65s is growing and the needs of over 65s are growing as they require much more social care etc than in the past, say than when most people died before they were 80. Growing care and nursing homes is evidence of this. Welfare spent on under 65s has probably dropped. The biggest area of spend for this group are tax credits where people on low wages have their incomes boosted by additional income from the Government. Welfare benefits rates to people under 65 were frozen in the last few budgets. The introduction of the living wage has reduced welfare payments as wages go up for those on tax credits.

There seems to have been a more aggressive attitude to certain groups such as unemployed in the last 5 years and sanctions more quickly applies to people who are deemed not looking hard enough for work. Sanctions mean loss of some benefit or all. I am not saying this is not justified only that it is happening. Again though it leaves people desperate.
IP: Logged
TeessideCleveland Posted on 25/04/2018 19:49

Food bank use soaring due to Universal Credit...

 
The whole welfare state needs looking at
We should be helping those genuinely in need - but not funding the purchases of alcohol,fags, online bingo etc
IP: Logged
jam69 Posted on 25/04/2018 19:58

Food bank use soaring due to Universal Credit...

 
we should look into tax dodging before welfare fraud as one dwarfs the other in lost revenue
IP: Logged
bear66 Posted on 25/04/2018 20:01

Food bank use soaring due to Universal Credit...

 
"The whole welfare state needs looking at"

It does, we need to go back to a society that existed before 1979.
IP: Logged
Harbottle Posted on 26/04/2018 00:15

Food bank use soaring due to Universal Credit...

 
I have been on disability benefit for a couple of years but it has now been stopped and Iíve been told to claim Universal Credit instead but it hasnít been introduced in my area yet so I am appealing against the decision but this is a three stage appeal system where the payments will be back dated if I win but at the moment I am getting nothing and having to rely on other family members to support me. I have been waiting for a reply to stage one for over a month.
IP: Logged
Fluffy-Carpet Posted on 26/04/2018 00:43
Edited On: 26/04/2018 13:10
Food bank use soaring due to Universal Credit...

 
.
IP: Logged
Cooper6711 Posted on 26/04/2018 13:26

Food bank use soaring due to Universal Credit...

 
I have been on disability benefit for a couple of years but it has now been stopped and Iíve been told to claim Universal Credit instead but it hasnít been introduced in my area yet so I am appealing against the decision but this is a three stage appeal system where the payments will be back dated if I win but at the moment I am getting nothing and having to rely on other family members to support me. I have been waiting for a reply to stage one for over a month

If UC doesn't excist in your area you just claim JSA. They aren't saying you can't have benefit at all. If it was ESA then you claim another benefit while going through your MR and then possible appeal
IP: Logged
redwurzel Posted on 26/04/2018 14:22

Food bank use soaring due to Universal Credit...

 
Cooper - good points, and its great if family can help out, not everyone has such help.

However some have had DLA taken away, not ESA.

ESA is higher than JSA which creates a problem of managing on JSA

What is JSA now - £73 a week? (£54 if under 25) that has to cover food, electric, gas, water, council tax contribution, clothes, household items, bus fares, internet and PC (for job searching), haircut.

Before some says they all should get a job, picking carrots in Norfolk etc - many are too ill too.

£73 to some people in this country is a jolly good meal out - one meal that is.
IP: Logged
MawTheMerrier Posted on 26/04/2018 14:40

Food bank use soaring due to Universal Credit...

 
The growth in food banks: I was contemplating this yesterday and was trying to figure out if I could go and get some free grub to save me buying it.

If the criteria is you need to be on benefits, they of course EVERYONE on benefits is going to pop down and get free grub - why pay for it? Not rocket science is it?

Leaves even more money to buy other things, obviously. No wonder its very popular [:D]

This FB growth will continue so long as people are dumb enough to donate grub, urged on by lefty propaganda about nasty Tories. Let FB growth continue, I say.
IP: Logged
TABLOID_MAN Posted on 26/04/2018 14:43

Food bank use soaring due to Universal Credit...

 
Maw [^]
IP: Logged
MawTheMerrier Posted on 26/04/2018 14:45

Food bank use soaring due to Universal Credit...

 
If you hand free grub and money to people who don't graft, what do you think they are going to do? Why work when dumb nuts give you free grub and dosh? [:D]

Am I missing something here? Do they have to pick up litter, or scrub graffiti, scrape gum off pavements? How do they earn this food bank grub? I don't understand? Do they make something then sell it? Do they give blood? I'm confused.
IP: Logged
Ironops Posted on 26/04/2018 14:50

Food bank use soaring due to Universal Credit...

 
Most of the people in receipt of benefits are working, they are the working poor. The problem we have is not unemployment, its under payment. For over a decade now we have been subsidising poor wages from employers with government benefits. We need a big rise in the minimum wage so that the dignity of work is rewarded by the dignity of financial self sufficiency.
IP: Logged
MawTheMerrier Posted on 26/04/2018 14:50

Food bank use soaring due to Universal Credit...

 
You know what's going to happen shortly, don't ya? If all the poor peeps are now getting fed by food banks, which is a really good populist movement, then the govt will reduce benefits. Save a lot of money to spend on good deeds like resurfacing our roads [^]

In fact, maybe they could hire some of the benefistas to smooth the tarmac - double winner!
IP: Logged
MawTheMerrier Posted on 26/04/2018 14:57

Food bank use soaring due to Universal Credit...

 
Can you imagine someone who hasn't worked in five years being asked to roll tarmac? They will probably turn up at site around 11am (early for them) and work for an hour, then ask the boss if they can pop out to the foodbank to get a bit o dinner [^]

[:D] haha love it these foodbanks. Free grub eh? Great idea. Can we have beer banks please as well? All those out of date cans o lager. I don't suppose these benefistas can afford much ale, what with these nasty tories being nasty.
IP: Logged
Ironops Posted on 26/04/2018 14:59

Food bank use soaring due to Universal Credit...

 
well there you go, the old saying is right - you cant argue with stupid...
IP: Logged
CheshireBoro Posted on 26/04/2018 15:00

Food bank use soaring due to Universal Credit...

 
Oh Dear,

I ran a foodbank for around 2 years until 4 months ago in the Calder Valler (West Yorkshire) - the only reason i stopped is because i now work abroad, and so somebody else is doing it. When i started the foodbank, we gave out around 20 parcels of food a week. By the time I moved abroad, it was around 200 per week. We started by opening 3 times a week for 2 hours a day. That was quickly 6 days a week.

The notion that significant numbers of people would use a Foodbank just to get free food is frankly nonsense. People have to jump through certain hoops to get help in the first place. They then have to evidence "need" everytime they come in - it is by no means a case of just rocking up with a Benefits letter.

There are many many cases where people are not in receipt of benefits at all. Perhaps they have started a new job and they have to wait two months for their first wages, or need to pay a lot of money to move into a rented property (typically a month up front, plus a month or two months deposit). The Benefits clients are almost all linked to Universal credit delays, or PIP delays - obviously you cant walk into a shop and say "i will pay you next week".

I have seen more hardship in my role running a foodbank than i have at any stage in my life. I have seen children come in with their Mum who are malnourished, and starving hungry. I have seen people at their absolute wits end because they cannot afford to eat. I have taken food to people in the park (because they are homeless), and to them in their home, where they have no heat and light because they have been cut off.

As for those "dumb nuts" who donate the food - well, thank god they exist. Because if they didnt, then we would at times have people who would starve to death.

If your comments belittling foodbanks were intended to get a reaction of shock then you succeeded. For my part, I think your comments are an absolute disgrace and deeply offensive - Foodbank use is something that we should be ashamed of. The presence of Foodbanks saves lives - and that is indisputably a fact.
IP: Logged
MawTheMerrier Posted on 26/04/2018 15:01

Food bank use soaring due to Universal Credit...

 
Are benefit peeps collateral damage in this ideological war?

Maybe they could do what all war torn refugees do and escape over the border, to live in tents for a few years? The UN could feed 'em then [^]

eeeee its a laff this board [:D]
ideological war [:D]
IP: Logged
rob_fmttm Posted on 26/04/2018 15:02

Food bank use soaring due to Universal Credit...

 
No one at all wants to beg for their food. It is a real indignity for all those that rely on foodbanks.
Some of the posts of here are sick, inhumane and a long way for being funny in anyway. In my opinion totally unworthy of being part of any sort of community.
IP: Logged
jam69 Posted on 26/04/2018 15:03

Food bank use soaring due to Universal Credit...

 
Cheshire it's how the iam alright jacks live with themselves, they convince themselves these people are spongers, and those who help are fools, what a awful outlook, sad really.
IP: Logged
redwurzel Posted on 26/04/2018 15:03

Food bank use soaring due to Universal Credit...

 
I'm afraid Caviar is not available at present.

Neither are fags and booze or online bingo cards before you ask.

99% don't want to use food banks unless they have to.

People working full time do use food banks, often because of more low pay jobs now and cuts to tax credits. Inflation is increasing faster than income for people in low paid jobs. Most welfare benefits have being frozen for several years, someone has to take the pain of austerity.
IP: Logged
Parkys_Centre_Parting Posted on 26/04/2018 15:07

Food bank use soaring due to Universal Credit...

 
Here's an idea for you Maw, why don't you get yourself down to a foodbank and do a bit of research. Actually engage with the folk who have to use them and the volunteers who staff them. Get to know the ins and outs.

It would save you from looking like a complete @rsehole on here with your prejudiced and ill-informed opinions on the matter.

Just a thought [^]
IP: Logged
CheshireBoro Posted on 26/04/2018 15:07

Food bank use soaring due to Universal Credit...

 
I am not easily offended by any means. Some of the people on this site know me relatively well, and are good friends.

But those comments above are shameful. Absolutely disgusting. If you had any comprehension whatsoever of the level of desperation of some people in 2018, in this country, you would never utter the vile words that you have.

Honestly, I pity you. You are a disgrace.
IP: Logged
MawTheMerrier Posted on 26/04/2018 15:08

Food bank use soaring due to Universal Credit...

 
Foodbanks are the ultimate in socialsm / communism: you get a person with a bit of money and he gives it to someone with less money. The money is then redistributed. Everyone becomes equal.

But socialsm / communism has been proven NOT to work, therefore Foodbanks don't work. They just keep poor people poor and make average people poorer.

It doesn't work.

IP: Logged
MawTheMerrier Posted on 26/04/2018 15:09

Food bank use soaring due to Universal Credit...

 
Sorry if I have offended anyone with my ridicule. T'was unintended.



IP: Logged
CheshireBoro Posted on 26/04/2018 15:10

Food bank use soaring due to Universal Credit...

 
Mawthemerrier,

"Food banks dont work"


You absolute idiot. They save lives.
IP: Logged
CheshireBoro Posted on 26/04/2018 15:11

Food bank use soaring due to Universal Credit...

 
Maw,

Apology NOT accepted. You are vile.
IP: Logged
redwurzel Posted on 26/04/2018 15:19
Edited On: 26/04/2018 15:35
Food bank use soaring due to Universal Credit...

 
Well said Cheshire and from the real coal face .

I am debating whether to help out at one, rather than say post on here as that time spent would be more productive for others - nothing against the FMTTM board.

btw Capitalism without charity would never work. Its not communism or socialism to help someone help who is less off than yourself. Its built into most religions that have stood the test of time. Great capitalists have happily donated most of their wealth to help others such as Bill Gates, Andrew Carnegie. Societies that don't care often vanish - French royal family in the 1780s and Tsarist Russia in the 1900s

My granny would tell stories from the pre 1947 days when residents in areas where she lived like Cannon Street and South Bank would put some money through the letter box of a person/family who they thought were really struggling. They was done in the middle of the night and anon. Its often how these communities survived. She died in 1982, but she would never have thought we would be back there doing it in 2018.
IP: Logged
Ironops Posted on 26/04/2018 16:12

Food bank use soaring due to Universal Credit...

 
Foodbanks are in fact the ultimate face of capitalism - a system that relies on people at the very bottom, exploited by the rich and reliant on charity just to live.

Maw you are a disgrace
IP: Logged
trugggg Posted on 26/04/2018 17:07

Food bank use soaring due to Universal Credit...

 
Maw- you make me sick to the stomach. I have flushed better examples of a human being down my toilet than what you are- absolutely disgusting
IP: Logged
CheshireBoro Posted on 26/04/2018 17:42

Food bank use soaring due to Universal Credit...

 
Maw

I reflected more on this in the car.

Imagine if everyone was like you. Imagine if nobody was a "dumb nuts" and donates to Food Banks.

You would be left with the survival of the most able, and those who are less able would perish. They would die.

The current wait for an appeal on UC is 6 months almost. How would people cope? Turn to crime? Or rely on the kindness of strangers?

Because let me make it abundantly clear. In a world of sanctions, of DLA cuts, of Universal Credit delays, of Landlords refusing to wait for UC payments and evicting people, there is no room for error.

If everyone was like you, you heartless cnut, you could incentivise the hungry by asking them to dig graves for those less fortunate.

To people like you, you fcuking wretch, I Daniel Blake was a Sci-Fi movie.

Well, it wasnt. I have seen it every week for over two years in the Food Bank. Thankfully, people are better than you.
IP: Logged
Nero Posted on 26/04/2018 18:28

Food bank use soaring due to Universal Credit...

 
Maw - I try not to lose patience with people or use bad words, but you are a c*nt with that attitude.

Get out of your Ivory Tower and look around. The Government's ideological approach is creating misery for many genuine good people.
IP: Logged
speckyget Posted on 26/04/2018 18:49

Food bank use soaring due to Universal Credit...

 
My daughter volunteers at a food bank. The stories she tells of the harrowing situations she encounters make me ashamed of this country. Tempting to advise Maw and Geno to look deep in their souls and ask what their attitudes say about them. But a waste of time. No soul = no shame. What a pair of Christians.
IP: Logged
CheshireBoro Posted on 26/04/2018 18:55

Food bank use soaring due to Universal Credit...

 
People like Maw make me sick.

Should never be allowed to post agin.
IP: Logged
SocraTees3 Posted on 26/04/2018 19:15

Food bank use soaring due to Universal Credit...

 
Well said Cheshire and PCP and others. [^] What a despicable perspective to have on your fellow humans Maw. Obnoxious and heartless philosophy.You make me sick you vile cretin.
IP: Logged
TABLOID_MAN Posted on 26/04/2018 20:31

Food bank use soaring due to Universal Credit...

 
I find the naivety astonishing.

Of course the number of foodbanks is increasing - they make a lot of people a lot of money. The whole charity industry (Or "third sector professionals" as they like to style themselves) is booming. Since the squeeze on the public sector, a lot of people have moved from local councils etc to charities.

Just had a look at the accounts for the Trussell trust, a small charity that specialises in foodbanks. In 2015 it paid out 1.733 million in salaries, yet It's average number of paid staff throughout the year was just 79. It's ok though, as a note in the accounts states that no one person was paid more than 60k [:D][^]

Now, do you think these people paying their mortgages by working for this small charity want the use of foodbanks to disappear? Do they hell. Wise up.

I'm not saying there is no role for charities, and I'm not saying that a lot of unpaid volunteers don't do sterling work, but the idea that an increase in foobanks must mean that more people need them is childlike.
IP: Logged
Muttley Posted on 26/04/2018 21:19

Food bank use soaring due to Universal Credit...

 
"Wise up"

You smug supercillious cnut.
IP: Logged
redwurzel Posted on 26/04/2018 21:26

Food bank use soaring due to Universal Credit...

 
How does this observation explain why demand has increased so much more in Universal Credit areas?

For example do the Trussell Trust employees work in the UC areas, but not in the non UC areas?

Also are you saying the Trussell Trust created a lot of the demand for Food banks?
IP: Logged
SilverDollarFish Posted on 26/04/2018 21:33

Food bank use soaring due to Universal Credit...

 
"I Daniel Blake was a Sci-Fi movie."

More of an incredibly biased, one-sided sensationalist work of fiction that is presented as a factual documentary by those with a political agenda.
IP: Logged
jam69 Posted on 26/04/2018 21:45

Food bank use soaring due to Universal Credit...

 
see it helps the iam alright jacks live with their self centred mentally, no wonder this country is going downhill
IP: Logged
TABLOID_MAN Posted on 26/04/2018 21:48

Food bank use soaring due to Universal Credit...

 
"Also are you saying the Trussell Trust created a lot of the demand for Food banks?"

I'm saying if you build them - they will come. And they site them in poorer areas where there may be at least some genuine need. Apparently they charge a £1500 setting up fee to the church or whoever hosts the food bank.
IP: Logged
Ironops Posted on 26/04/2018 21:56

Food bank use soaring due to Universal Credit...

 
So food banks are a ploy for cynical businessmen to make money, thatís what your saying is it?

My god Ive heard it all now!
IP: Logged
Big_Nothing Posted on 26/04/2018 22:17

Food bank use soaring due to Universal Credit...

 
There's some absolute scumbags around and they're not using foodbanks, they're sat on their computers mocking and berating the needy with a disturbing lack of compassion or empathy. Absolute pair of pr!cks and you can quote me on that. People on here talk about tolerance but I am openly intolerant of you scummy morally repugnant idiots. Get yourself down to a foodbank and see for yourself. You go look in the eyes of a woman who has mouths to feed and has swallowed her dignity to do so that she is a scrounger looking for a freebie, I dare you. We all know you wouldn't have the balls.
IP: Logged
ABCD Posted on 26/04/2018 22:19

Food bank use soaring due to Universal Credit...

 
Guess Jews are welcome to frequent food banks from there ghettos under corbyn?
IP: Logged
Big_Nothing Posted on 26/04/2018 22:26

Food bank use soaring due to Universal Credit...

 
What are you on about you absolute pratt [:D]
IP: Logged
ABCD Posted on 26/04/2018 22:27

Food bank use soaring due to Universal Credit...

 
"There's some absolute scumbags around and they're not using foodbanks, they're sat on their computers mocking and berating the needy with a disturbing lack of compassion or empathy. Absolute pair of pr!cks and you can quote me on that. People on here talk about tolerance but I am openly intolerant of you scummy morally repugnant idiots. Get yourself down to a foodbank and see for yourself. You go look in the eyes of a woman who has mouths to feed and has swallowed her dignity to do so that she is a scrounger looking for a freebie, I dare you. We all know you wouldn't have the balls."

Wondered the same thing?
IP: Logged
Big_Nothing Posted on 26/04/2018 23:18

Food bank use soaring due to Universal Credit...

 
Well I'm pretty evidently referring to the two posters who've calles food bank users scroungers and suggested that increased usage is due to people just wanting free stuff rather than needing it.

Your post however seems to be a nonsensical attempt at linking anti semitism to Jeremy Corbyn, strange and off topic.
IP: Logged
bear66 Posted on 26/04/2018 23:59
Edited On: 27/04/2018 00:02
Food bank use soaring due to Universal Credit...

 
"Apparently they charge a £1500 setting up fee to the church or whoever hosts the food bank."

You don't have to get the Trussell Trust to help you set up a food bank. We set up a food bank independently.

Volunteering for a few months would help some of the posters above understand a little more about life in this country today. There is no stereotype foodbank client - every person is different in the circumstances that led them there. Many are embarrassed to lean on the charity that is offered.
IP: Logged
CheshireBoro Posted on 27/04/2018 04:20
Edited On: 27/04/2018 04:24
Food bank use soaring due to Universal Credit...

 
TabloadMan,

I dont have the time or the energy to individually critique everythung you have got wrong there, but a few points.

You seem to be making the point that because the Trussell Trust employs and pays sone staff, that is somehow wrong? Do you know how many volunteers it has? Perhaps find five minutes to read their report from this week. They have almost as many volunteers every week as the Conservative Party has members now.

They have almost 600 volunteers for every 1 paid member of staff. For me, that is something to be proud of.

Nevertheless, many food banks are set up independently of the Trussell Trust. Mine was for example. In the two years I ran it, I paid one person. That was an older guy who had an estate car to go and collect donations from shops, and individuals. I paid him for his fuel, out of my own pocket. I also paid a nominal charge for the hall we used and for storage. We collected donations and spent everything we got on shelving, cold storage, non perishables, and some leaflets.

I probably put 30 hours a week into it for 2 years, alongside my full time job. I never took a penny out, not once. The amount of my own money I put in would be well in excess of £10,000.

Nobody is "on the make" from food banks. You are so very wrong about that. I don't dispute that some other charities employ people on higher salaries, but if having a dig at the charities sector is what you want to do, you couldnt have picked a more ill advised example.

You and Maw (and others) have displayed the type of loathesome ignorance which perpetuates the myth that all is well, and we dont need Food Banks. We need them like never before.

And just about every single person I came into contact with in my two years had a similar tale to tell. UC.PIP delays. Eviction because of UC delays. Sanctions. Homelessness.

Legacies of YOUR attitude to helping those less fortunate.
IP: Logged
r00fie1 Posted on 27/04/2018 06:04

Food bank use soaring due to Universal Credit...

 
Cheshire / Bear[^]
Many of those I work with use / have used foodbanks to keep them in existence.
Anyone who thinks foodbanks are for scroungers is a complete plank.
IP: Logged
CheshireBoro Posted on 27/04/2018 06:42

Food bank use soaring due to Universal Credit...

 
I completely agree.

And the notion (from someone further up) that we are giving out non-essentials) is flat wrong too.

90% food. 10% sanitary products.

I will spare you the details of the saddest case I dealt with, a 15 year old scared to ask her Mum who she knew was broke, needing sanitary towels.

Even typing this in Warsaw in a coffee shop, I am in floods of tears. It broke my heart.
IP: Logged
Ironops Posted on 27/04/2018 09:30

Food bank use soaring due to Universal Credit...

 
CheshireBoro - hats off to you sir.
IP: Logged
CheshireBoro Posted on 27/04/2018 10:03

Food bank use soaring due to Universal Credit...

 
Thanks - its not about that though - its about challenging the ill-informed nonsense that a few people post.

The notion that organisations or people are somehow "on the make" from running FoodBanks is so ludicrous I wouldnt know where to start unpicking it. The Food Bank i personally ran (independently, not part of Trussell Trust) paid one member of the team for the fuel in their car, and that was it. I did around 30 hours a week, and we had 9 other volunteers who each did between 5 and 12 hours a week. We took donations directly (food etc), and we collected donations from some Supermarkets as well. One in particular (a pretty upmarket one) was absolutely fantastic with us, and they often helped us with people to help out, and they never charged us anything at all at any point.

Without labouring the point, if everyone was like Tabloid Man, MawThe Merrier etc, where would be then? People would be hungry, some people would die, people would go cold in their own homes, children would go to school malnourished, and in uniforms that had not been washed at all.

I have seen ALL of that and a lot more besides. Thankfully, the vast majority of people are not like the ignorant idiots i referenced above - most people are supportive and generous - and many people are very giving with their time as well.

One day, TM, MTM, etc, you may be down on your luck, and you may need to ask for help yourself. I wonder how you would feel about your vindictive opinions then?
IP: Logged
Corcaigh_the_Cat Posted on 27/04/2018 10:10

Food bank use soaring due to Universal Credit...

 
Our loathsome element are making a real show of this thread.
IP: Logged
foomanboro Posted on 27/04/2018 10:39
Edited On: 27/04/2018 10:40
Food bank use soaring due to Universal Credit...

 
Shame folks canít blame ďforeignersĒ for the ďstealingĒ their benefits like they usually do.

This is well and truly caused by our very own very British government and their welfare policies. No foreign ďboogey menĒ to hide behind now.

Time for the blamesters to point the finger at the real culprits. Itís closer to home then you ever thought.
IP: Logged
spenna76 Posted on 27/04/2018 10:47

Food bank use soaring due to Universal Credit...

 
Its a sad state of affairs that foodbanks are needed in this country and are on the rise. Good on the people who are involved in sorting them out in whatever way is what i say.
One thing i will say is that some users of them are taking the XXXXXX out of the system with the foodbanks. There is one on my street and i was on about it to our lass only yesterday. People stood out the front smoking fags or have a taxi waiting out the front for them, put the parcel in the boot and off they go. I dont want to get into arguements about various points but a lad who i know of was there a few weeks ago, at a rough guess he will probably be on a grand every four weeks in benefits but has a raging drug problem. Fair enough at the point in time he may have no money but surely he has enough money per month not to be in the position to be using a foodbank. Thing is how do you monitor this and make sure the well deserving, and there are many, people are being offered the help.
One last point which is along the same lines. Yesterday i was at Durham at a meeting/focus group involving various organisations, public health england, pathways, addaction and representatives from various regional prisons. Its just an attempt to come together and share best practice, keep each other informed and try to improve these type of services.
One of the main themes of the meeting was attempting to bring up the issue of helping people who find themselves in vulnerable situations for various reasons. A rep from CGL was trying to put across how all these services are a fine balancing act, in so much as they all want to help, protect and provide but at the same time constant "handouts"(for want of a better term) although vital at times often result in individuals losing the drive and determination to improve their own situation. It just got me thinking a lot and then i read this thread. I understand his reasoning for saying it and it is certainly difficult to judge who needs what help and when. Another theme to come across was many feel they are constantly battling rules and regulations which in the long run end up costing a lot more than they would have with a bit of common sense initially. Sorry about the length of the post but some of the views already expressed on this thread needed challenging.
IP: Logged
CheshireBoro Posted on 27/04/2018 11:11

Food bank use soaring due to Universal Credit...

 
Some valid points there.

What i would say is that there is a lot of pressure / onus on the person using the FoodBank to "prove" need. It is certainly not just a case of turning up and asking, or even bringing a referral letter. Some people get a lot more help than others.

Anyone with children, and pensioners receive more help than (for example) a single male. Where an individual is known to have, or have had a substance misuse problem they are not able to receive certain items (things with a resale value for example).

Resources are very very tight, and they are seldom if ever wasted. There were days when we would simply run out of food, or nappies etc. But what can you do? We had a 17 year old came in on the 23rd of December last year, in tears. She had nothing at all, and she had a 5 week old baby. No nappies, no baby food, nothing. She was absolutely flat broke, with not barely anything in the house, and no electric at all.

For some people, they are completely without hope. Passed from pillar to post (and with the assumption of being a "Scrounger" and the stigma of using a FoodBank), I absolutely understand why some people choose to end their own life. It is heartbreaking, but utterly understandable. Hand on heart, I cant honestly say I wouldnt do the same thing. And it is because this government DEMONISES those people who need genuine help, by ASSUMING that they dont until they can prove otherwise.
IP: Logged
Alan_Breck Posted on 27/04/2018 11:18
Edited On: 27/04/2018 11:19
Food bank use soaring due to Universal Credit...

 
CheshireBoro,

You make some very valid points from your first hand experiences and you should be rightfully proud of what you've done to help the less privileged in society. You probably didn't do what you did for thanks, but thanks anyway.[^]

Well done sir.

#UTB
IP: Logged
speckyget Posted on 27/04/2018 11:47

Food bank use soaring due to Universal Credit...

 
Heartening to reflect that the world contains the likes of CheshireBoro, and that humans can operate at a level above the rat like instincts displayed on this shameful thread.
IP: Logged
CheshireBoro Posted on 27/04/2018 11:55

Food bank use soaring due to Universal Credit...

 
Itís a horrible thread. Why am I defending what I chose and choose to do? Whatís the point, really?

In all sincerity, I only hope that people who choose to besmirch those in need are never in that situation themselves.

Itís a sick and cynical world to live in if you genuinely think that the whole of society is ridden with the sort of oneupmanship I have seen here.

Thankfully, it isnít.
IP: Logged
SilverDollarFish Posted on 27/04/2018 11:57

Food bank use soaring due to Universal Credit...

 
"oneupmanship"

Indeed.
IP: Logged
speckyget Posted on 27/04/2018 12:06

Food bank use soaring due to Universal Credit...

 
It can't resist.
IP: Logged
SilverDollarFish Posted on 27/04/2018 12:12

Food bank use soaring due to Universal Credit...

 
Indeed.
IP: Logged
go_nads Posted on 27/04/2018 12:30

Food bank use soaring due to Universal Credit...

 
Brilliant responses from Cheshire. Done posters should hang their heads in shame.

My neighbour was moaning about the son of one of the other neighbours, he has very serious mental health problems, she was saying he gets his flat paid and this and that...

I just said to her ďand which position would you prefer to be inĒ. The lack of empathy from some is unbelievable. There was a big benefits assessment thread a while back and some couldnít appreciate the fact that the state underpay in benefits and that the costs of the assessment process whilst being dehumanising, doesnít save the state anything and just leads to misery and ultimately loss of life.

So many would rather all were punished, just in case a few ďspongersĒ get one over. In the grand scheme of things, fraud on benefits is minuscule.
IP: Logged
etmfc Posted on 27/04/2018 12:52

Food bank use soaring due to Universal Credit...

 
I know of one lady a few months back who had been in hospital and off sick for 5 weeks, was readmitted with similar problem and who didn't want to stay in as she was due back at work the next day She didn't receive any pay while off and told me she had used a food bank during that time. It's shame on this Government that anyone in this country should need to use a food bank, or risk their life through worry. Her ailment had the potential to be life threatening.
IP: Logged
bear66 Posted on 27/04/2018 13:15

Food bank use soaring due to Universal Credit...

 
Cheshire is spot on with the checks and balances that go on by those who run foodbanks. It isn't advisable to be 'taken in' by prospective clients with a misleading story to tell. If / when word gets round about a foodbank being a soft touch, food donors are more likely to stop giving. There are balances in erring on a cautious side but generally there is someone in 'social services' to call to vouch for the needs of an individual.

The 'social services' have improved over the years in ensuring the right people are put in contact with food banks. It's a shame that their government employers aren't providing the necessary support to make food banks a ting of the past.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2018 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103